[머신러닝 교과서 with 사이킷런, 텐서플로] 사이킷런, 텐서플로 설치 관련 문의 (A.2)

10 views
Skip to first unread message

추진호

unread,
May 14, 2021, 11:45:53 PMMay 14
to 머신러닝/딥러닝 도서 Q&A
아나콘다 배포판 설치하고 사이킷런 버전 확인까진 잘되었는데 텐서플로 설치하는 과정에서 다음과 같은 구문이 등장합니다 
(base) c:\Users\USER\machine>python -c"import tensorflow as tf; print(tf.__version__)"
2021-05-15 12:35:28.925508: W tensorflow/stream_executor/platform/default/dso_loader.cc:64] Could not load dynamic library 'cudart64_110.dll'; dlerror: cudart64_110.dll not found
2021-05-15 12:35:28.926300: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine.
2.5.0
여기에 관해서 문제가 없는건지 궁금하고요

그 다음으로 콘다 환경파일을 이용해서 필요한 패키지를 설치하려 했는데 
conda env create -f environment.yml 이걸 입력하고 나서 다음과 같은 문구가 반복해서 실행되고 더 이상 작업을 진행할 수 없었습니다.

you have pip-installed dependencies in your environment file. but you do not list pip itself as one of your conda dependencies. Conda may not use the correct pip to install your packages. and they may end up in the wrong place. Please add an explicit pip dependency. I'm adding one for you, but still nagging you.
스크린샷(20).png

Haesun Park

unread,
May 15, 2021, 12:31:56 AMMay 15
to 추진호, 머신러닝/딥러닝 도서 Q&A
안녕하세요. 박해선입니다.

텐서플로 설치와 관련하여 마지막 메시지에서 볼 수 있듯이 컴퓨터에 GPU가 없는 경우 무시해도 괜찮습니다. 자동으로 CPU를 사용합니다.
콘다 에러 메시지의 경우 컴퓨터에 pip가 없다는 뜻입니다. conda install pip 명령으로 설치해 주세요.

감사합니다!

2021년 5월 15일 (토) 오후 12:45, 추진호 <bchan...@gmail.com>님이 작성:
--
이 메일은 Google 그룹스 '머신러닝/딥러닝 도서 Q&A' 그룹에 가입한 분들에게 전송되는 메시지입니다.
이 그룹에서 탈퇴하고 더 이상 이메일을 받지 않으려면 ml-dl-book-qn...@googlegroups.com에 이메일을 보내세요.
웹에서 이 토론을 보려면 https://groups.google.com/d/msgid/ml-dl-book-qna/e78d0a69-bd63-436c-8015-a67cd1cb3a98n%40googlegroups.com을(를) 방문하세요.

추진호

unread,
May 15, 2021, 4:12:38 AMMay 15
to 머신러닝/딥러닝 도서 Q&A
말씀하신대로 conda install pip 실행하고 conda env create -f environment.yml 입력해보았는데 같은 구문이 계속해서 반복됩니다.스크린샷(21).png 
그럼 그냥 일일이 패키지 설치할수 밖에 없는건가요?
2021년 5월 15일 토요일 오후 1시 31분 56초 UTC+9에 haesu...@gmail.com님이 작성:

Haesun Park

unread,
May 15, 2021, 4:17:47 AMMay 15
to 추진호, 머신러닝/딥러닝 도서 Q&A
안녕하세요. 박해선입니다.

pip --help 로 설치가 잘 되었는지 확인해 보시겠어요?
그다음 environment.yml 에 pip를 추가해 보세요.
텍스트 편집기로 파일을 연 다음 - python=3.7 아래 - pip 를 추가하면 됩니다.
이렇게 했는데도 계속 문제가 된다면 저도 원인을 잘 모르겠네요. ㅠ.ㅠ
패키지를 개별로 설치해 보시는 게 좋을 것 같습니다.

감사합니다.

2021년 5월 15일 (토) 오후 5:12, 추진호 <bchan...@gmail.com>님이 작성:
Reply all
Reply to author
Forward
0 new messages